Package wx :: Class TextEntryDialog

[frames | no frames]

## Type TextEntryDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                TextEntryDialog

Known Subclasses:
  `PasswordEntryDialog`

A dialog with text control, [ok] and [cancel] buttons

Method Summary
TextEntryDialog | ``__init__`(self, parent, message, caption, defaultValue, style, pos)` Constructor.
String | ``GetValue`(self)` Returns the text that the user has entered if the user has pressed OK, or the original value if the user has pressed Cancel.
| ``SetValue`(self, value)` Sets the default text value.

Property Summary
| `thisown`: The membership flag
| `Value`: See `GetValue` and `SetValue`

Class Variable Summary

Instance Method Details

### __init__(self, parent, message, caption=GetTextFromUserPromptStr, defaultValue=EmptyString, style=TextEntryDialogStyle, pos=DefaultPosition)
(Constructor)

Constructor. Use ShowModal method to show the dialog.

  Parameters:
    `parent`
    (type=Window)

    `message`
    (type=String)

    `caption`
    (type=String)

    `defaultValue`
    (type=String)

    `style`
    (type=long)

    `pos`
    (type=Point)

  Returns:
    TextEntryDialog
  Overrides:
    `wx.Dialog.__init__`

### GetValue(self)

Returns the text that the user has entered if the user has pressed OK, or the original value if the user has pressed Cancel.

  Returns:
    String

### SetValue(self, value)

Sets the default text value.

  Parameters:
    `value`
    (type=String)

Property Details

### thisown

The membership flag

### Value

See `GetValue` and `SetValue`

  Get Method:
    `GetValue`(self)
  Set Method:
    `SetValue`(self, value)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:02 2007 | http://epydoc.sf.net